export interface SetProxy<T extends {}> {
    add: (value: T) => SetProxy<T>;
    addMany: (values: T[]) => SetProxy<T>;
    delete: (value: T) => SetProxy<T>;
    deleteMany: (values: T[]) => SetProxy<T>;
    clear: () => SetProxy<T>;
    unwrap: () => Set<T>;
}
export declare const SetProxyUtils: Readonly<{
    add: <T extends {}>(proxy: SetProxy<T>, value: T) => SetProxy<T>;
    delete: <T_1 extends {}>(proxy: SetProxy<T_1>, value: T_1) => SetProxy<T_1>;
    clear: <T_2 extends {}>(proxy: SetProxy<T_2>) => SetProxy<T_2>;
    fp: Readonly<{
        add: <T_3 extends {}>(value: T_3) => (proxy: SetProxy<T_3>) => SetProxy<T_3>;
        delete: <T_4 extends {}>(value: T_4) => (proxy: SetProxy<T_4>) => SetProxy<T_4>;
    }>;
}>;
export declare function createSetProxy<T extends {}>(set?: Set<T>): SetProxy<T>;
//# sourceMappingURL=setProxy.d.ts.map